# Exceptions

exception pikepdf.PdfError

  General pikepdf-specific exception.

exception pikepdf.PasswordError

  Exception thrown when the supplied password is incorrect.

exception pikepdf.ForeignObjectError

  Exception thrown when a complex object was copied into a foreign PDF without using `Pdf.copy_foreign()`.

exception pikepdf.OutlineStructureError

  Exception thrown when an `/Outlines` object violates constraints imposed by the PDF 1.7 Reference Manual.

exception pikepdf.UnsupportedImageTypeError

  This image is formatted in a way pikepdf does not supported.

  Exception thrown when attempting to manipulate a PDF image of a complex type that pikepdf does not currently support.

exception pikepdf.DataDecodingError

  Exception thrown when a stream object in a PDF is malformed and cannot be decoded.